#!/bin/sh

for filename in *.mov; do
    ffmpeg -init_hw_device vaapi=va:/dev/dri/renderD128 -filter_hw_device va -i "${filename}" -vf 'format=nv12,hwupload' -c:v h264_vaapi -c:a aac -crf 28  "${filename%.*}".mp4
    rm $filename
done
